Bug 168325 - devel/pure-gen: Update to 0.15
Summary: devel/pure-gen: Update to 0.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gabor Pali
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-25 04:30 UTC by Gabor Pali
Modified: 2012-06-04 00:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.72 KB, patch)
2012-05-25 04:30 UTC, Gabor Pali
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Pali freebsd_committer 2012-05-25 04:30:06 UTC
Update of pure-gen to 0.15 as it seems to work better with GHC 7.4.1.  (Note that language-c is still at version 0.3.2, though.)  GHC 7.4.1 will be added to the ports tree soon, so this PR is partially to avoid the potentially resulting breakage.

A diff is included.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-05-25 04:30:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgj

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-05-25 04:30:25 UTC
Maintainer of devel/pure-gen,

Please note that PR ports/168325 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/168325

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-05-25 04:30:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 lichray 2012-05-25 05:16:02 UTC
Yea, I made a new language-c patch but it does not work with hs-c2hs.
Not sure whether it's OK now. Anyway, please commit this PR. Thanks.

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 5 dfilter service freebsd_committer 2012-06-03 23:06:51 UTC
pgj         2012-06-03 22:06:36 UTC

  FreeBSD ports repository

  Modified files:
    devel/pure-gen       Makefile distinfo 
  Added files:
    devel/pure-gen/files patch-dump-ast.hs 
  Log:
  - Update to 0.15
  
  PR:             ports/168325
  Submitted by:   pgj
  Approved by:    maintainer
  Obtained from:  FreeBSD Haskell
  
  Revision  Changes    Path
  1.6       +1 -2      ports/devel/pure-gen/Makefile
  1.5       +2 -2      ports/devel/pure-gen/distinfo
  1.1       +18 -0     ports/devel/pure-gen/files/patch-dump-ast.hs (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Gabor Pali freebsd_committer 2012-06-04 00:30:36 UTC
State Changed
From-To: feedback->closed

Committed.